"use client";

import Link from "next/link";
import Image from "next/image";
import { FaWhatsapp } from "react-icons/fa";

const Product = ({ product }) => {
  return (
    <div
      className="
    bg-white
    rounded-md 
    overflow-hidden
    w-[280px]
    hover:scale-[1.02]
    drop-shadow-md
    hover:drop-shadow-lg
    transition-all
    "
    >
      <Image
        src={product.image[0]}
        alt={product.name}
        className="w-full h-48 object-fit
        bg-gradient-to-r from-[#adc7de] to-[white]
        "
      />
      <div
        className={` p-4
          flex
          flex-col
          justify-center
          gap-1
          h-[120px]
          `}
      >
        <div className="flex items-center justify-between gap-2 ">
          <h3 className="text-lg font-bold">{product.name}</h3>
          <Link
            className="
          bg-green-500 
          px-3
          py-3
          rounded-full
          "
            href={`https://wa.me/573113167514?text=Estoy%20interesado%20en%20tu%20producto:%20${product.name}`}
            target="_blank"
          >
            <FaWhatsapp
              className=" 
            text-white
            text-4xl
            "
            />
          </Link>
        </div>
      </div>
    </div>
  );
};

export default Product;
